/*******************************************************************************
 *  Copyright 2017-2018 Centre for Development of Advanced Computing(C-DAC), Pune
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *******************************************************************************/
package cdac.medinfo.sdk.dcm30_04.templates.enums.cv;

/**
 * This enum represents Code Value for Fetal Cranium
 */
public enum EnumCV_FetalCranium 
{
	// Fetal Cranium - CID 12007
	LATERAL_VENTRICLE_WIDTH_12171_5("12171-5"),
	CISTERNA_MAGNA_LENGTH_11860_4("11860-4"),
	NUCHAL_FOLD_THICKNESS_12146_7("12146-7"),
	INNER_ORBITAL_DIAMETER_33070_4("33070-4"),
	OUTER_ORBITAL_DIAMETER_11629_3("11629-3"),
	TRANS_CEREBELLAR_DIAMETER_11863_8("11863-8"),
	NUCHAL_TRANSLUCENCY_33069_6("33069-6"),
	ANTERIOR_HORN_LATERAL_VENTRICULAR_WIDTH_33197_5("33197-5"),
	POSTERIOR_HORN_LATERAL_VENTRICULAR_WIDTH_33196_7("33196-7"),
	WIDTH_OF_HEMISPHERE_12170_7("12170-7");	

	private String value;
	
	EnumCV_FetalCranium(String strvalue)
	{
		this.value = strvalue;
	}
	
	/**
	 * This function returns the String value of this enum.
	 * @return - returns string value of Code Value.
	 */
	public String getValue()
	{
		return value;
	}
}
